UTF8 to UFT8MB4 - the sodded details!

When you suddenly face a bundle with a ld: library not found for -lssl mishap then what do you do?

gem install mysql2 -v '0.5.2' -- --with-ldflags=-L/usr/local/opt/openssl/lib --with-cppflags=-I/usr/local/opt/openssl/include

is what you do - nothing else (well except brew install openssl off cause - but I would like to think that you did that already)